package top.imwork.window.silos.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class MainController {

    @ResponseBody
    @GetMapping("/hello")
    public String hello(){
        return "hello silos!";
    }

    @GetMapping("/index.html")
    public String index() {
        return "/main/index";
    }

    @GetMapping("/welcome.html")
    public String welcome() {
        return "/main/welcome";
    }

    @GetMapping("/dashboard.html")
    public String dashboard() {
        return "/main/dashboard";
    }

    @PostMapping("/authentication/form")
    public String authentication() {
        return "/main/index";
    }


    @GetMapping("/cms/article/article-detail.html")
    public String article() {
        return "/cms/article/article-detail.html";
    }
}
